L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Noyau Linux : fuite de mémoire via ioctl_standard_iw_point

Synthèse de la vulnérabilité 

Un attaquant peut utiliser les ioctl SIOCxxx afin de lire des données du noyau.
Produits impactés : Fedora, Linux, openSUSE, RHEL, SLES.
Gravité de ce bulletin : 1/4.
Date de création : 31/08/2010.
Références de cette menace : BID-42885, CVE-2010-2955, FEDORA-2010-14235, openSUSE-SU-2010:0655-1, openSUSE-SU-2010:0664-1, openSUSE-SU-2010:0895-1, RHSA-2010:0771-01, RHSA-2010:0842-01, SUSE-SA:2010:044, SUSE-SA:2010:045, SUSE-SA:2010:046, SUSE-SA:2010:047, SUSE-SA:2010:054, SUSE-SA:2011:007, SUSE-SU-2011:0928-1, VIGILANCE-VUL-9891.

Description de la vulnérabilité 

La fonction ioctl_standard_iw_point() du fichier net/wireless/wext-core.c gère les commandes IOCTL du pilote de configuration des extensions sans fil. Chaque commande peut prendre en paramètre un tampon d'entrée / sortie.

Lors du traitement d'une commande IOCTL retournant des informations, la fonction ioctl_standard_iw_point() alloue une zone de mémoire noyau pour recevoir ces informations. La taille de cette zone est passée en paramètre à la fonction. Ce tampon est ensuite intégralement copié dans le tampon passé en paramètre. Cependant, la fonction ioctl_standard_iw_point() vérifie incorrectement la taille des données retournées. Ainsi, plus de données que nécessaire peuvent être copiées vers l'appelant.

Un attaquant peut donc utiliser les ioctl SIOCxxx afin de lire des données du noyau.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette annonce de vulnérabilité informatique concerne les logiciels ou systèmes comme Fedora, Linux, openSUSE, RHEL, SLES.

Notre équipe Vigil@nce a déterminé que la gravité de ce bulletin de vulnérabilité est faible.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter cette vulnérabilité informatique.

Solutions pour cette menace 

Noyau Linux : patch pour ioctl_standard_iw_point.
Un patch est disponible dans les sources d'information.

Fedora 13 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-2.6.34.6-54.fc13

openSUSE 11.2 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-*-2.6.31.14-0.1.1

openSUSE 11.3 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-*-2.6.34.7-0.3.1

RHEL 5 MRG : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
MRG Realtime for RHEL 5 Server:
  kernel-rt-2.6.33.7-rt29.45.el5rt

RHEL 6 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-2.6.32-71.7.1.el6

SLE 10 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles, comme indiqué dans les sources d'informations.

SLE 11 GA : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
SLE 11 SERVER Unsupported Extras (i586 ia64 ppc64 s390x x86_64):
  kernel-default-extra-2.6.27.54-0.2.1
SLE 11 SERVER Unsupported Extras (i586 x86_64):
  kernel-xen-extra-2.6.27.54-0.2.1
SLE 11 SERVER Unsupported Extras (ppc64):
  kernel-ppc64-extra-2.6.27.54-0.2.1
SLE 11 SERVER Unsupported Extras (i586):
  kernel-pae-extra-2.6.27.54-0.2.1

SLE 11 SP1 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles, comme indiqué dans les sources d'informations.

SUSE LE 9 : nouveaux paquetages kernel (23/08/2011).
De nouveaux paquetages sont disponibles :
http://download.novell.com/patch/finder/?keywords=c05dae2ea95bb787f18166cf12f585e3

SUSE LE RT 11 : nouveaux paquetages kernel-rt.
De nouveaux paquetages sont disponibles :
  SUSE Linux Enterprise Real Time 11 SP1
    http://download.novell.com/patch/finder/?keywords=956b7941659a9a350984b3e4fa8be427

SUSE : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles, comme indiqué dans les sources d'informations.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit un patch de vulnérabilités de systèmes. La cellule de veille technologique suit les menaces sécurité qui ciblent le parc informatique.